/**
 * Marlin 3D Printer Firmware
 * Copyright (C) 2016 MarlinFirmware [https://github.com/MarlinFirmware/Marlin]
 *
 * Based on Sprinter and grbl.
 * Copyright (C) 2011 Camiel Gubbels / Erik van der Zalm
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/**
 * Custom Bitmap for splashscreen
 *
 * You may use one of the following tools to generate the C++ bitmap array from
 * a black and white image:
 *
 *  - http://www.marlinfw.org/tools/u8glib/converter.html
 *  - http://www.digole.com/tools/PicturetoC_Hex_converter.php
 */
//custom screen can be up to 112 wide and 64 high

//#include <avr/pgmspace.h>

#define CUSTOM_BOOTSCREEN_TIMEOUT   2500
#define CUSTOM_BOOTSCREEN_BMPWIDTH  128
#define CUSTOM_BOOTSCREEN_BMPHEIGHT 64
/**
 * Made with Marlin Bitmap Converter
 * http://marlinfw.org/tools/u8glib/converter.html
 *
 */
const unsigned char custom_start_bmp[] PROGMEM = {
  0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF, // ################################################################################################################################
  0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..............................................................................................................................#
  0x80,0x00,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #................................................##............................................................................#
  0x80,0x00,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #................................................##............................................................................#
  0x80,0x00,0x00,0x00,0x00,0x00,0xC0,0x00,0x00,0xF8,0x00,0x00,0x00,0x00,0x00,0x01, // #...............................................##......................#####..................................................#
  0x80,0x00,0x00,0x00,0x00,0x01,0x80,0x00,0x01,0xFE,0x00,0x00,0x00,0x0E,0x00,0x01, // #..............................................##......................########.............................###................#
  0x80,0x00,0x00,0x00,0x00,0x03,0x00,0x00,0x03,0xCE,0x00,0x00,0x00,0x0E,0x00,0x01, // #.............................................##......................####..###.............................###................#
  0x80,0x00,0x00,0x00,0x00,0x06,0x00,0x0F,0x73,0xCE,0x7A,0x7C,0x1F,0x1F,0x3F,0x01, // #............................................##.............####.###..####..###..####.#..#####.....#####...#####..######.......#
  0x80,0x00,0x00,0x00,0x00,0x3C,0x00,0x0F,0xF3,0xCE,0x7E,0xFF,0x3F,0x9F,0x7F,0x81, // #.........................................####..............########..####..###..######.########..#######..#####.########......#
  0x80,0x00,0x00,0x00,0x00,0xC4,0x00,0x0F,0x73,0xC0,0x7E,0xEF,0x3B,0x8E,0x73,0x81, // #.......................................##...#..............####.###..####.......######.###.####..###.###...###..###..###......#
  0x80,0x00,0x00,0x00,0x07,0xE4,0x00,0x0F,0x73,0xC0,0x78,0xFF,0x3B,0x8E,0x7F,0x81, // #....................................######..#..............####.###..####.......####...########..###.###...###..########......#
  0x80,0x00,0x00,0x00,0x19,0x34,0x00,0x0F,0x73,0xCE,0x78,0xFF,0x0F,0x8E,0x7F,0x81, // #..................................##..#..##.#..............####.###..####..###..####...########....#####...###..########......#
  0x80,0x00,0x00,0x00,0x30,0x98,0x00,0x0F,0xF3,0xCE,0x78,0xE0,0x3F,0x8E,0x70,0x01, // #.................................##....#..##...............########..####..###..####...###.......#######...###..###...........#
  0x80,0x00,0x00,0x00,0x64,0x48,0x00,0x07,0x73,0xCE,0x78,0xEF,0x3B,0x8E,0x73,0x81, // #................................##..#...#..#................###.###..####..###..####...###.####..###.###...###..###..###......#
  0x80,0x00,0x00,0x00,0xDF,0x38,0x00,0x00,0x73,0xCE,0x78,0xEF,0x3B,0x8E,0x73,0x81, // #...............................##.#####..###....................###..####..###..####...###.####..###.###...###..###..###......#
  0x80,0x00,0x00,0x01,0x91,0x98,0x00,0x0F,0x71,0xFC,0x78,0xFF,0x3F,0x8F,0x7F,0x81, // #..............................##..#...##..##...............####.###...#######...####...########..#######...####.########......#
  0x80,0x00,0x00,0x01,0x2E,0x98,0x00,0x0F,0xF0,0xF8,0x78,0x7C,0x1B,0x8F,0x3F,0x01, // #..............................#..#.###.#..##...............########....#####....####....#####.....##.###...####..######.......#
  0x80,0x00,0x00,0x03,0x2A,0xD0,0x00,0x07,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.............................##..#.#.#.##.#.................######............................................................#
  0x80,0x00,0x00,0x03,0x36,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.............................##..##.##.#..#...................................................................................#
  0x80,0x00,0x00,0x0E,0x99,0xB0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #...........................###.#..##..##.##...................................................................................#
  0x80,0x00,0x03,0xFC,0x4F,0x60,0x00,0x00,0x00,0x1F,0x8F,0xE0,0x00,0x00,0x00,0x01, // #.....................########...#..####.##................................######...#######....................................#
  0x80,0x00,0x04,0x86,0x20,0x60,0x00,0x00,0x00,0x1F,0x8F,0xE0,0x00,0x00,0x00,0x01, // #....................#..#....##...#......##................................######...#######....................................#
  0x80,0x00,0x19,0x84,0x58,0xC0,0x00,0x07,0xBE,0x1F,0xCF,0xE0,0x7E,0x07,0xC7,0x81, // #..................##..##....#...#.##...##...................####.#####....#######..#######......######......#####...####......#
  0x80,0x00,0x11,0x04,0x8D,0x80,0x00,0x0F,0xFE,0x1F,0xDF,0xE1,0xFF,0x83,0xC7,0x01, // #..................#...#.....#..#...##.##...................###########....#######.########....##########.....####...###.......#
  0x80,0x00,0x13,0xF9,0x07,0x00,0x00,0x0F,0x3E,0x1E,0xDB,0xE1,0xE7,0x83,0xEF,0x01, // #..................#..#######..#.....###....................####..#####....####.##.##.#####....####..####.....#####.####.......#
  0x80,0x00,0x2E,0x1A,0x3C,0x00,0x00,0x0F,0x3E,0x1E,0xDB,0xE1,0xE7,0x83,0xEF,0x01, // #.................#.###....##.#...####......................####..#####....####.##.##.#####....####..####.....#####.####.......#
  0x80,0x00,0x78,0x06,0x68,0x00,0x00,0x0F,0x3E,0x1E,0xFB,0xE0,0x1F,0x80,0xEE,0x01, // #................####........##..##.#.......................####..#####....####.#####.#####........######.......###.###........#
  0x80,0x00,0x70,0x1C,0x88,0x00,0x00,0x0F,0x3E,0x1E,0xFB,0xE0,0xFF,0x80,0xFE,0x01, // #................###.......###..#...#.......................####..#####....####.#####.#####.....#########.......#######........#
  0x80,0x00,0x20,0x7F,0x88,0x00,0x00,0x0F,0x3E,0x1E,0xFB,0xE1,0xE7,0x80,0xEE,0x01, // #.................#......########...#.......................####..#####....####.#####.#####....####..####.......###.###........#
  0x80,0x00,0x00,0xCD,0x88,0x00,0x00,0x0F,0xFE,0x1E,0xFB,0xE1,0xE7,0x83,0xEF,0x01, // #.......................##..##.##...#.......................###########....####.#####.#####....####..####.....#####.####.......#
  0x80,0x00,0x03,0x08,0x88,0x00,0x00,0x07,0xBE,0x1E,0x73,0xE1,0xE7,0x83,0xEF,0x01, // #.....................##....#...#...#........................####.#####....####..###..#####....####..####.....#####.####.......#
  0x80,0x00,0x03,0x08,0xF8,0x00,0x00,0x00,0x3E,0x1E,0x73,0xE1,0xFF,0x83,0xC7,0x01, // #.....................##....#...#####.............................#####....####..###..#####....##########.....####...###.......#
  0x80,0x00,0x07,0x98,0x78,0x00,0x00,0x0F,0x3E,0x1E,0x73,0xE0,0xF7,0x87,0xC7,0x81, // #....................####..##....####.......................####..#####....####..###..#####.....####.####....#####...####......#
  0x80,0x00,0x04,0xF0,0x48,0x00,0x00,0x0F,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #....................#..####.....#..#.......................###########........................................................#
  0x80,0x00,0x04,0x70,0x98,0x00,0x00,0x03,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #....................#...###....#..##.........................######...........................................................#
  0x80,0x00,0x05,0xC1,0x90,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #....................#.###.....##..#...........................................................................................#
  0x80,0x00,0x0F,0x01,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #...................####.......#.##............................................................................................#
  0x80,0x00,0x36,0x03,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.................##.##.......####.............................................................................................#
  0x80,0x00,0x68,0x03,0x80,0x00,0x00,0x07,0x1F,0x01,0xE0,0x10,0x04,0x00,0x00,0x01, // #................##.#.........###............................###...#####.......####........#.........#.........................#
  0x80,0x00,0x98,0x01,0x00,0x00,0x00,0x08,0x91,0x81,0x10,0x00,0x04,0x00,0x00,0x01, // #...............#..##..........#............................#...#..#...##......#...#.................#.........................#
  0x80,0x01,0x30,0x00,0x00,0x00,0x00,0x00,0x90,0x81,0x11,0xD3,0xEE,0x71,0xCE,0x01, // #..............#..##............................................#..#....#......#...#...###.#..#####.###..###...###..###........#
  0x80,0x02,0xC8,0x00,0x00,0x00,0x00,0x03,0x10,0x81,0xE1,0x12,0x24,0x89,0x10,0x01, // #.............#.##..#.........................................##...#....#......####....#...#..#...#..#..#...#..#...#...........#
  0x80,0x04,0x18,0x00,0x00,0x00,0x00,0x00,0x90,0x81,0x01,0x12,0x24,0xF9,0x0F,0x01, // #............#.....##...........................................#..#....#......#.......#...#..#...#..#..#####..#....####.......#
  0x80,0x0C,0x90,0x00,0x00,0x00,0x00,0x08,0x91,0x81,0x01,0x12,0x24,0x81,0x01,0x01, // #...........##..#..#........................................#...#..#...##......#.......#...#..#...#..#..#......#.......#.......#
  0x80,0x08,0x90,0x00,0x00,0x00,0x00,0x07,0x1F,0x01,0x01,0x12,0x26,0x79,0x1E,0x01, // #...........#...#..#.........................................###...#####.......#.......#...#..#...#..##..####..#...####........#
  0x80,0x18,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..........##...###............................................................................................................#
  0x80,0x11,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..........#...#.#.............................................................................................................#
  0x80,0x36,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.........##.##.#..............................................................................................................#
  0x80,0x23,0x80,0x00,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x81, // #.........#...###...........................................#############################################################......#
  0x80,0x61,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #........##....##..............................................................................................................#
  0x80,0x40,0xC0,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #........#......##...............###...........................................................................................#
  0x80,0xC0,0x80,0x00,0xDC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.......##......#...............##.###.........................................................................................#
  0x80,0x80,0xC0,0x01,0xB6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #.......#.......##.............##.##.##........................................................................................#
  0x80,0x40,0x60,0x7D,0x83,0x00,0x00,0x0C,0x60,0x00,0x90,0x00,0x20,0x08,0x07,0x01, // #........#.......##......#####.##.....##....................##...##.............#..#..............#.........#........###.......#
  0x80,0xC0,0x30,0xE7,0x81,0x80,0x00,0x0C,0x60,0x00,0x80,0x00,0x60,0x18,0x08,0x81, // #.......##........##....###..####......##...................##...##.............#................##........##.......#...#......#
  0x80,0xC0,0x1E,0x41,0xC1,0x80,0x00,0x0A,0xA3,0xEE,0x93,0xE0,0xA0,0x28,0x08,0x81, // #.......##.........####..#.....###.....##...................#.#.#.#...#####.###.#..#..#####.....#.#.......#.#.......#...#......#
  0x80,0x40,0x5B,0xC0,0x60,0x80,0x00,0x0A,0xA0,0x28,0x92,0x20,0x20,0x08,0x07,0x81, // #........#.......#.##.####.......##.....#...................#.#.#.#.......#.#...#..#..#...#.......#.........#........####......#
  0x80,0x68,0x41,0x80,0x20,0xC0,0x00,0x0A,0xA1,0xE8,0x92,0x20,0x20,0x08,0x00,0x81, // #........##.#....#.....##.........#.....##..................#.#.#.#....####.#...#..#..#...#.......#.........#...........#......#
  0x80,0x2C,0x26,0x00,0x00,0xC0,0x00,0x09,0x22,0x28,0x92,0x20,0x20,0x08,0x00,0x81, // #.........#.##....#..##.................##..................#..#..#...#...#.#...#..#..#...#.......#.........#...........#......#
  0x80,0x38,0x1E,0x00,0x00,0x40,0x00,0x09,0x23,0xE8,0x92,0x20,0x21,0x08,0x27,0x01, // #.........###......####..................#..................#..#..#...#####.#...#..#..#...#.......#....#....#.....#..###.......#
  0x80,0x18,0x79,0x00,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..........##....####..#.........#.......#.....................................................................................#
  0x80,0x18,0x01,0x00,0x80,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #..........##..........#........#........#.....................................................................................#
  0x80,0x0E,0x00,0x00,0x80,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01, // #...........###.................#.......##.....................................................................................#
  0xFF,0x87,0xFF,0xFF,0xFF,0x87,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF  // #########....############################....###################################################################################
};

